Bug 1445329 (CVE-2017-5656) - CVE-2017-5656 cxf: CXF's STSClient uses a flawed way of caching tokens that are associated with delegation tokens
Summary: CVE-2017-5656 cxf: CXF's STSClient uses a flawed way of caching tokens that a...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5656
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170405,repor...
Depends On: 1445335
Blocks: 1445347
TreeView+ depends on / blocked
 
Reported: 2017-04-25 13:44 UTC by Andrej Nemec
Modified: 2019-06-11 11:13 UTC (History)
72 users (show)

Fixed In Version: cxf 3.1.11, cxf 3.0.13
Doc Type: If docs needed, set a value
Doc Text:
It was found that the token cacher in Apache cxf uses a flawed way of caching tokens that are associated with the delegation token received from Security Token Service (STS). This vulnerability could allow an attacker to craft a token which could return an identifier corresponding to a cached token for another user.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:11:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1832 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse/A-MQ 6.3 R4 security and bug fix update 2017-08-15 05:47:49 UTC
Red Hat Product Errata RHSA-2018:1694 None None None 2018-05-22 16:53:00 UTC

Description Andrej Nemec 2017-04-25 13:44:28 UTC
An Apache CXF endpoint can be used as an intermediary, where a token credential
from the received message is used as a delegation token to obtain a new token
from a Security Token Service (STS) for the outbound request.

By default, the token retrieved from the STS is cached and associated with the
delegation token via an identifier extracted from the delegation token. 

However, there is a weakness in how the identifier is extracted from the
delegation token, which means that an attacker could craft a token which 
would return an identifer corresponding to a cached token for another user.

External References:

http://cxf.apache.org/security-advisories.data/CVE-2017-5656.txt.asc

Upstream patch:

https://github.com/apache/cxf/commit/66c2c5b99e01a2165a2c5ed9ae34b4b9a512cb39

Comment 1 Andrej Nemec 2017-04-25 13:46:48 UTC
Created cxf tracking bugs for this issue:

Affects: fedora-all [bug 1445335]

Comment 5 errata-xmlrpc 2017-08-10 23:05:11 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2017:1832 https://access.redhat.com/errata/RHSA-2017:1832

Comment 7 Jason Shepherd 2017-12-05 00:42:41 UTC
cxf-rt-ws-security-3.1.12.redhat-1 in EAP 7.1.0 is not affected.

Comment 12 errata-xmlrpc 2018-05-22 16:52:40 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2018:1694 https://access.redhat.com/errata/RHSA-2018:1694


Note You need to log in before you can comment on or make changes to this bug.